package com.cym.sqlHelper.bean;

import java.util.Collections;
import java.util.List;

import io.swagger.v3.oas.annotations.media.Schema;

/**
 * 分页类
 * 
 */
public class Page<T> {
	@Schema(description ="总记录数")
	Long count = 0l;
	@Schema(description ="起始页(从1开始)")
	Integer curr = 1;

	@Schema(description ="每页记录数")
	Integer limit = 10;

	@Schema(description ="列表内容")
	List records = Collections.emptyList();

//	public <T> List<T> getRecords(Class<T> clazz) {
//		return (List<T>) records;
//	}

	public List getRecords() {
		return records;
	}

	public void setRecords(List records) {
		this.records = records;
	}

	public Long getCount() {
		return count;
	}

	public void setCount(Long count) {
		this.count = count;
	}

	public Integer getCurr() {
		return curr;
	}

	public void setCurr(Integer curr) {
		this.curr = curr;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

}
